apiVersion: lemonldap-ng.org/v1beta1
kind: VHost
metadata:
  name: vhost-sample
spec:
  # Add fields here
  host: "test1.example.com"
  locationRules:
    - location: "default"
      rule: "accept"
---
apiVersion: lemonldap-ng.org/v1beta1
kind: VHost
metadata:
  name: vhost-sample-2
spec:
  # Add fields here
  host: "vhost-sample-2.example.com"
  locationRules:
    - location: "^/conf"
      rule: "deny"
    - location: "default"
      rule: "accept"
  exportedHeaders:
    - name: JEAN
      value: '"paul"'
  options:
    https: 1
---
apiVersion: lemonldap-ng.org/v1beta1
kind: VHost
metadata:
  name: hello-kubernetes
spec:
  # Add fields here
  host: "hello.example.com"
  locationRules:
    - location: "default"
      rule: "authenticated"